APC by affiliation
curl --request GET \
--url https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}import requests
url = "https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodywork_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,Suite de los ensamblajes,,,,,
,Un Si mayor por la paz,,,,,
APC
APC by affiliation
Exports a CSV with APC data of the bibliographic products of an institution or research group.
GET
/
apc
/
affiliation
/
{affiliation_id}
APC by affiliation
curl --request GET \
--url https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}import requests
url = "https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/apc/affiliation/{affiliation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodywork_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,Suite de los ensamblajes,,,,,
,Un Si mayor por la paz,,,,,
Path parameters
string
required
Identifier of the institution or group. Examples:
03bp5hc83 (Universidad
de Antioquia), COL0000000 (research group).This endpoint returns a CSV file (
Content-Type: text/csv), not JSON. The name of the downloaded
file is affiliation.csv.Response
The response body is a CSV file with the following columns. If the entity doesn’t exist or has no products, the file only has the header row.| Column | Description |
|---|---|
work_doi | DOI of the product. |
work_title | Title of the product. |
source_name | Name of the journal or source. |
source_apc_value | APC cost published by the journal. |
source_apc_currency | Currency of the journal’s cost. |
work_apc_value | APC cost actually paid for this product. |
work_apc_currency | Currency of the actual payment. |
The cost and currency fields can be empty when the information is not
available in the database.
work_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,Suite de los ensamblajes,,,,,
,Un Si mayor por la paz,,,,,